I have added an RFE about starting work on adding static type hint checking
to Ironic:
https://bugs.launchpad.net/ironic-lib/+bug/1633756

And a starting patch to openstack/ironic-lib:
https://review.openstack.org/#/c/386892/

A patch to add the 'typing' package to openstack/requirements/global-
requirements.txt:
https://review.openstack.org/386944

Issues:
I tried adding the 'mypy-lang' package to global-requirements but the tool
'generate-constraints' does not handle "Python 3 only" packages. Or I don't
know how to make it handle "Python 3 only" packages.

So I added the dep for 'mypy-lang' as a local dep requirement in the
tox.ini file.

Very interested to hear if anybody else has started working on static type
hint checking in their projects.

Thanks,
John
__________________________________________________________________________
OpenStack Development Mailing List (not for usage questions)
Unsubscribe: openstack-dev-requ...@lists.openstack.org?subject:unsubscribe
http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-dev

Reply via email to